/**
 * @file Clock.js
 */
import React, { useEffect, useState } from 'react';
import './Clock.css';

/**
 * @description Creates a function to be called in set intervals that updates the clock-state every second
 * @returns HTML element that displays the clock
 */
function Clock() {
    const [clockState, setClockState] = useState();

    useEffect(() => {
        setInterval(() => {
            const date = new Date();
            setClockState(date.toLocaleTimeString());
        }, 1000);
    }, []);


    return <div style={{ color: 'white', fontSize: "30px", margin: "0" }}>{clockState}</div>;
}

export default Clock;